Create Invoice: ResMan
https://api.propexo.com/v1/invoices/resman/Invoices created via the ResMan API begin in an unapproved state and then have to be approved by the PMC in the ResMan portal.
| Interface | Method |
|---|---|
| Accounts Payable | /MITS/PostAccountsPayable4_0 |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the vendor
The invoice or reference number that the vendor assigned to the service request
The date of issuance for the invoice
Show 2 variants
The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.
Show 2 variants
The due date associated with the invoice
Show 2 variants
Notes associated with the invoice
Memo of the invoice
The amount of the invoice, in cents
Possible values: >= 0
invoice_items object[]required
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The quantity ordered for the invoice
Possible values: > 0
The unit price, in cents, of the invoice
Possible values: >= 0
Notes associated with the invoice item
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the vendor
The invoice or reference number that the vendor assigned to the service request
Show 2 variants
The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.
Show 2 variants
Show 2 variants
Notes associated with the invoice
Memo of the invoice
The amount of the invoice, in cents
Possible values: >= 0
invoice_items object[]required
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The quantity ordered for the invoice
Possible values: > 0
The unit price, in cents, of the invoice
Possible values: >= 0
Notes associated with the invoice item
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/invoices/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"vendor_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"memo": "string",
"total_amount_in_cents": 0,
"invoice_items": [
{
"financial_account_id": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"notes": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"vendor_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"accounting_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"memo": "string",
"total_amount_in_cents": 0,
"invoice_items": [
{
"financial_account_id": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"notes": "string"
}
]
}
}